﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Infragistics.Controls.Menus;
using Infragistics.Windows.Ribbon;


namespace XamRibbonGalleryItemDelete
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        ContextMenu contextMenu;
        MenuItem option1;
        MenuItem option2;     
        double positionY;

        public MainWindow()
        {
            InitializeComponent();

            contextMenu = new ContextMenu();
            option1 = new MenuItem();
            option2 = new MenuItem();            

            option1.Header = "Show Y parameter";
            option2.Header = "Delete Gallery Item";            

            option1.Click += Option1_Click;
            option2.Click += Option2_Click;         

            contextMenu.Items.Add(option1);
            contextMenu.Items.Add(option2);
            
            galleryTool1.ContextMenu = contextMenu;

            contextMenu.Opened += ContextMenu_Opened;
        }

        private void ContextMenu_Opened(object sender, RoutedEventArgs e)
        {
            Point position = contextMenu.TranslatePoint(new Point(0, 0),galleryTool1);
            positionY = position.Y;
        }

        private void Option2_Click(object sender, RoutedEventArgs e)
        {
            if (positionY >= 0 && positionY < 22) galleryTool1.Items.Remove(galleryTool1.Items[0]);
            else if (positionY >= 22 && positionY < 44) galleryTool1.Items.Remove(galleryTool1.Items[1]);
            else if (positionY >= 44 && positionY < 66) galleryTool1.Items.Remove(galleryTool1.Items[2]);
            else if (positionY >= 66 && positionY < 88) galleryTool1.Items.Remove(galleryTool1.Items[3]);
            else if (positionY >= 88) galleryTool1.Items.Remove(galleryTool1.Items[4]);
        }

        private void Option1_Click(object sender, RoutedEventArgs e)
        {
            MessageBox.Show(positionY.ToString());
        }
    }
}
